import { defineComponent, createBlock, openBlock, withCtx, renderSlot } from "vue";
import ThemeProvider from "./providers/UIKitProvider/contexts/ThemeProvider/ThemeProvider.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "UIKitProvider",
  props: {
    theme: {}
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(ThemeProvider, {
        theme: props.theme
      }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 8, ["theme"]);
    };
  }
});
export {
  _sfc_main as _
};
